%define debug_package %{nil}


%define qtmajor 5
%define qtminor 6
%define qtsubminor 1
%define rel 1

%define major_private 1
%define qtversion %{qtmajor}.%{qtminor}.%{qtsubminor}

%define qttarballdir qtgraphicaleffects-opensource-src-%{qtversion}

Name: qtgraphicaleffects5
Version: %{qtversion}
Release: %mkrel %{rel}
Summary: Qt GUI toolkit
Group: System/Libraries
License: LGPLv2 with exceptions or GPLv3 with exceptions and GFDL
URL:     http://www.qt.io
Source0: http://download.qt.io/official_releases/qt/%{qtmajor}.%{qtminor}/%{version}/submodules/%{qttarballdir}.tar.xz
BuildRequires: qtbase5-devel = %{version}
BuildRequires: %{_lib}qt5quick-devel
BuildRequires: qt5qml-private-devel
BuildRequires: qt5quick-private-devel
BuildRequires: qt5gui-private-devel

#Branch Patchs

#Trunk Patchs

#Patch from Others


%description
Qt GUI toolkit

%files
%_qt5_datadir/qml/QtGraphicalEffects/

#------------------------------------------------------------------------------

%prep
%setup -q -n %qttarballdir

%build
%qmake_qt5

%make
#------------------------------------------------------------------------------

%install
rm -rf %buildroot
%qmakeinstall_std

%changelog
* Thu Jul 12 2016 adrianomorselli <adrianomorselli> 5.6.1-1uplos2016
- rebuild

* Thu Jun 09 2016 bb <bb> 5.6.1-1pclos2016
- update

* Fri Mar 18 2016 bb <bb> 5.6.0-1pclos2016
- update
